Bug 62962 - New port: sysutils/wmping
Summary: New port: sysutils/wmping
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pav Lucistnik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-02-17 13:40 UTC by Sergey Velichkevich
Modified: 2004-03-02 11:51 UTC (History)
0 users

See Also:


Attachments
file.shar (2.39 KB, text/plain)
2004-02-17 13:40 UTC, Sergey Velichkevich
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sergey Velichkevich 2004-02-17 13:40:12 UTC
	New port: wmping  
	Wmping is a dockapp which checks the status of hosts in your network. It
	show "up" status for a host that is available (ping packets are returned to
	you) and "down" status for a host that cannot be pinged.
Comment 1 Pav Lucistnik freebsd_committer 2004-03-01 21:29:36 UTC
State Changed
From-To: open->feedback

Does not build on -STABLE, can you send a patch for it? 

cc -DPACKAGE_NAME="" -DPACKAGE_TARNAME="" -DPACKAGE_VERSION="" -DPACKAGE_STRING="" -DPACKAGE_BUGREPORT="" -DPACKAGE="wmping" -DVERSION="0.1.0" -DSTDC_HEADERS=1 -DHAVE_LIBXEXT=1 -DHAVE_LIBXPM=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_UNISTD_H=1 -DHAVE_FCNTL_H=1 -DHAVE_SYS_TIME_H=1 -DHAVE_UNISTD_H=1 -DHAVE_STRING_H=1  -I. -I. -I/usr/X11R6/include -I/usr/local/include    -g -O -pipe  -c `test -f f_ping.c || echo './'`f_ping.c 
In file included from f_ping.c:5: 
/usr/include/arpa/inet.h:89: warning: parameter has incomplete type 
/usr/include/arpa/inet.h:92: warning: parameter has incomplete type 
/usr/include/arpa/inet.h:96: warning: parameter has incomplete type 
In file included from f_ping.c:7: 
/usr/include/netinet/ip.h:73: field `ip_src' has incomplete type 
/usr/include/netinet/ip.h:73: field `ip_dst' has incomplete type 
/usr/include/netinet/ip.h:158: field `ipt_addr' has incomplete type 
In file included from f_ping.c:8: 
/usr/include/netinet/ip_icmp.h:62: field `ih_gwaddr' has incomplete type 
gmake: *** [f_ping.o] Error 1 
*** Error code 2 



Comment 2 Pav Lucistnik freebsd_committer 2004-03-01 21:29:36 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Track
Comment 3 Pav Lucistnik freebsd_committer 2004-03-02 11:51:22 UTC
State Changed
From-To: feedback->closed

New port added, thanks!